part of '../ngx_core.dart';

/// An injection token representing the application configuration.
class ConfigToken extends OpaqueToken<Map<String, dynamic>> {

  /// Creates a new configuration token.
  const ConfigToken();
}

/// An injection token representing the application environment.
class EnvToken extends OpaqueToken<String> {

  /// Creates a new environment token.
  const EnvToken();
}

/// The injection token representing the application configuration.
const ConfigToken configToken = ConfigToken();

/// The injection token representing the application environment.
const EnvToken envToken = EnvToken();
